com.corticon.rulesemf.ast

## Interface AstPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface AstPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `AstFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `AstPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADDITIVE_EXPRESSION` The meta object id for the '`Additive Expression`' class
    `static int` | `ADDITIVE_EXPRESSION__ADDITIVE_SUB_EXPRESSION_LIST` The feature id for the 'Additive Sub Expression List' containment reference list
    `static int` | `ADDITIVE_EXPRESSION__MULTIPLICATIVE_EXPRESSION` The feature id for the 'Multiplicative Expression' containment reference
    `static int` | `ADDITIVE_EXPRESSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `ADDITIVE_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Additive Expression' class
    `static int` | `ADDITIVE_OPERATOR` The meta object id for the '`Additive Operator`' class
    `static int` | `ADDITIVE_OPERATOR__OPERATOR` The feature id for the 'Operator' attribute
    `static int` | `ADDITIVE_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Additive Operator' class
    `static int` | `ADDITIVE_SUB_EXPRESSION` The meta object id for the '`Additive Sub Expression`' class
    `static int` | `ADDITIVE_SUB_EXPRESSION__ADDITIVE_OPERATOR` The feature id for the 'Additive Operator' containment reference
    `static int` | `ADDITIVE_SUB_EXPRESSION__MULTIPLICATIVE_EXPRESSION` The feature id for the 'Multiplicative Expression' containment reference
    `static int` | `ADDITIVE_SUB_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Additive Sub Expression' class
    `static int` | `ASSIGNMENT_EXPRESSION` The meta object id for the '`Assignment Expression`' class
    `static int` | `ASSIGNMENT_EXPRESSION__ASSIGNMENT_OPERATOR` The feature id for the 'Assignment Operator' containment reference
    `static int` | `ASSIGNMENT_EXPRESSION__EXPRESSION` The feature id for the 'Expression' containment reference
    `static int` | `ASSIGNMENT_EXPRESSION__POSTFIX_EXPRESSION` The feature id for the 'Postfix Expression' containment reference
    `static int` | `ASSIGNMENT_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Assignment Expression' class
    `static int` | `ASSIGNMENT_OPERATOR` The meta object id for the '`Assignment Operator`' class
    `static int` | `ASSIGNMENT_OPERATOR__OPERATOR` The feature id for the 'Operator' attribute
    `static int` | `ASSIGNMENT_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Assignment Operator' class
    `static int` | `COMPOUND_EXPRESSION` The meta object id for the '`Compound Expression`' class
    `static int` | `COMPOUND_EXPRESSION__GENERAL_EXPRESSION_LIST` The feature id for the 'General Expression List' containment reference list
    `static int` | `COMPOUND_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Compound Expression' class
    `static int` | `CONDITION_VALUE_SET` The meta object id for the '`Condition Value Set`' class
    `static int` | `CONDITION_VALUE_SET__TYPE` The feature id for the 'Type' attribute
    `static int` | `CONDITION_VALUE_SET__VALUE_LIST` The feature id for the 'Value List' containment reference list
    `static int` | `CONDITION_VALUE_SET_FEATURE_COUNT` The number of structural features of the 'Condition Value Set' class
    `static int` | `DECLARATOR` The meta object id for the '`Declarator`' class
    `static int` | `DECLARATOR__NAME_LIST` The feature id for the 'Name List' containment reference list
    `static int` | `DECLARATOR__TYPE_SPECIFIER` The feature id for the 'Type Specifier' containment reference
    `static int` | `DECLARATOR_FEATURE_COUNT` The number of structural features of the 'Declarator' class
    `static AstPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `EXPRESSION` The meta object id for the '`Expression`' class
    `static int` | `EXPRESSION__LOGICAL_EXPRESSION` The feature id for the 'Logical Expression' containment reference
    `static int` | `EXPRESSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Expression' class
    `static int` | `FEATURE_CALL` The meta object id for the '`Feature Call`' class
    `static int` | `FEATURE_CALL__FEATURE_CALL_PARAMETERS` The feature id for the 'Feature Call Parameters' containment reference
    `static int` | `FEATURE_CALL__OPERATOR` The feature id for the 'Operator' attribute
    `static int` | `FEATURE_CALL__PATH_NAME` The feature id for the 'Path Name' containment reference
    `static int` | `FEATURE_CALL__QUALIFIERS` The feature id for the 'Qualifiers' containment reference
    `static int` | `FEATURE_CALL__TIME_EXPR` The feature id for the 'Time Expr' attribute
    `static int` | `FEATURE_CALL__TYPE` The feature id for the 'Type' attribute
    `static int` | `FEATURE_CALL_FEATURE_COUNT` The number of structural features of the 'Feature Call' class
    `static int` | `FEATURE_CALL_PARAMETERS` The meta object id for the '`Feature Call Parameters`' class
    `static int` | `FEATURE_CALL_PARAMETERS__DECLARATOR` The feature id for the 'Declarator' containment reference
    `static int` | `FEATURE_CALL_PARAMETERS__PARAMETER_LIST` The feature id for the 'Parameter List' containment reference
    `static int` | `FEATURE_CALL_PARAMETERS_FEATURE_COUNT` The number of structural features of the 'Feature Call Parameters' class
    `static int` | `GENERAL_EXPRESSION` The meta object id for the '`General Expression`' class
    `static int` | `GENERAL_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'General Expression' class
    `static int` | `ICONDITION_VALUE` The meta object id for the '`ICondition Value`' class
    `static int` | `ICONDITION_VALUE_FEATURE_COUNT` The number of structural features of the 'ICondition Value' class
    `static int` | `IEXPRESSION` The meta object id for the '`IExpression`' class
    `static int` | `IEXPRESSION_FEATURE_COUNT` The number of structural features of the 'IExpression' class
    `static int` | `IF_EXPRESSION` The meta object id for the '`If Expression`' class
    `static int` | `IF_EXPRESSION__ELSE_EXPR` The feature id for the 'Else Expr' containment reference
    `static int` | `IF_EXPRESSION__IF_EXPR` The feature id for the 'If Expr' containment reference
    `static int` | `IF_EXPRESSION__THEN_EXPR` The feature id for the 'Then Expr' containment reference
    `static int` | `IF_EXPRESSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `IF_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'If Expression' class
    `static int` | `IPRIMARY_EXPRESSION` The meta object id for the '`IPrimary Expression`' class
    `static int` | `IPRIMARY_EXPRESSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `IPRIMARY_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'IPrimary Expression' class
    `static int` | `LITERAL` The meta object id for the '`Literal`' class
    `static int` | `LITERAL__LITERAL` The feature id for the 'Literal' attribute
    `static int` | `LITERAL__TYPE` The feature id for the 'Type' attribute
    `static int` | `LITERAL_COLLECTION` The meta object id for the '`Literal Collection`' class
    `static int` | `LITERAL_COLLECTION__COLLECTION_KIND` The feature id for the 'Collection Kind' attribute
    `static int` | `LITERAL_COLLECTION__EXPRESSION_LIST` The feature id for the 'Expression List' containment reference list
    `static int` | `LITERAL_COLLECTION__TYPE` The feature id for the 'Type' attribute
    `static int` | `LITERAL_COLLECTION_FEATURE_COUNT` The number of structural features of the 'Literal Collection' class
    `static int` | `LITERAL_FEATURE_COUNT` The number of structural features of the 'Literal' class
    `static int` | `LOGICAL_EXPRESSION` The meta object id for the '`Logical Expression`' class
    `static int` | `LOGICAL_EXPRESSION__LOGICAL_SUB_EXPRESSION_LIST` The feature id for the 'Logical Sub Expression List' containment reference list
    `static int` | `LOGICAL_EXPRESSION__RELATIONAL_EXPRESSION` The feature id for the 'Relational Expression' containment reference
    `static int` | `LOGICAL_EXPRESSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `LOGICAL_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Logical Expression' class
    `static int` | `LOGICAL_OPERATOR` The meta object id for the '`Logical Operator`' class
    `static int` | `LOGICAL_OPERATOR__OPERATOR` The feature id for the 'Operator' attribute
    `static int` | `LOGICAL_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Logical Operator' class
    `static int` | `LOGICAL_SUB_EXPRESSION` The meta object id for the '`Logical Sub Expression`' class
    `static int` | `LOGICAL_SUB_EXPRESSION__LOGICAL_OPERATOR` The feature id for the 'Logical Operator' containment reference
    `static int` | `LOGICAL_SUB_EXPRESSION__RELATIONAL_EXPRESSION` The feature id for the 'Relational Expression' containment reference
    `static int` | `LOGICAL_SUB_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Logical Sub Expression' class
    `static int` | `MULTIPLICATIVE_EXPRESSION` The meta object id for the '`Multiplicative Expression`' class
    `static int` | `MULTIPLICATIVE_EXPRESSION__MULTIPLICATIVE_SUB_EXPRESSION_LIST` The feature id for the 'Multiplicative Sub Expression List' containment reference list
    `static int` | `MULTIPLICATIVE_EXPRESSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `MULTIPLICATIVE_EXPRESSION__UNARY_EXPRESSION` The feature id for the 'Unary Expression' containment reference
    `static int` | `MULTIPLICATIVE_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Multiplicative Expression' class
    `static int` | `MULTIPLICATIVE_OPERATOR` The meta object id for the '`Multiplicative Operator`' class
    `static int` | `MULTIPLICATIVE_OPERATOR__OPERATOR` The feature id for the 'Operator' attribute
    `static int` | `MULTIPLICATIVE_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Multiplicative Operator' class
    `static int` | `MULTIPLICATIVE_SUB_EXPRESSION` The meta object id for the '`Multiplicative Sub Expression`' class
    `static int` | `MULTIPLICATIVE_SUB_EXPRESSION__MULTIPLICATIVE_OPERATOR` The feature id for the 'Multiplicative Operator' containment reference
    `static int` | `MULTIPLICATIVE_SUB_EXPRESSION__UNARY_EXPRESSION` The feature id for the 'Unary Expression' containment reference
    `static int` | `MULTIPLICATIVE_SUB_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Multiplicative Sub Expression' class
    `static int` | `NAME` The meta object id for the '`Name`' class
    `static int` | `NAME__NAME` The feature id for the 'Name' attribute
    `static int` | `NAME_FEATURE_COUNT` The number of structural features of the 'Name' class
    `static int` | `PARAMETER_LIST` The meta object id for the '`Parameter List`' class
    `static int` | `PARAMETER_LIST__EXPRESSION_LIST` The feature id for the 'Expression List' containment reference list
    `static int` | `PARAMETER_LIST__GENERAL_EXPRESSION_LIST` The feature id for the 'General Expression List' containment reference list
    `static int` | `PARAMETER_LIST_FEATURE_COUNT` The number of structural features of the 'Parameter List' class
    `static int` | `PATH_NAME` The meta object id for the '`Path Name`' class
    `static int` | `PATH_NAME__NAME_LIST` The feature id for the 'Name List' containment reference list
    `static int` | `PATH_NAME_FEATURE_COUNT` The number of structural features of the 'Path Name' class
    `static int` | `POSTFIX_EXPRESSION` The meta object id for the '`Postfix Expression`' class
    `static int` | `POSTFIX_EXPRESSION__ACTION` The feature id for the 'Action' attribute
    `static int` | `POSTFIX_EXPRESSION__FEATURE_CALL_LIST` The feature id for the 'Feature Call List' containment reference list
    `static int` | `POSTFIX_EXPRESSION__PRIMARY_EXPRESSION` The feature id for the 'Primary Expression' containment reference
    `static int` | `POSTFIX_EXPRESSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `POSTFIX_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Postfix Expression' class
    `static int` | `PRIMARY_EXPRESSION` The meta object id for the '`Primary Expression`' class
    `static int` | `PRIMARY_EXPRESSION__IPRIMARY_EXPRESSION` The feature id for the 'IPrimary Expression' containment reference
    `static int` | `PRIMARY_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Primary Expression' class
    `static int` | `QUALIFIERS` The meta object id for the '`Qualifiers`' class
    `static int` | `QUALIFIERS__PARAMETER_LIST` The feature id for the 'Parameter List' containment reference
    `static int` | `QUALIFIERS_FEATURE_COUNT` The number of structural features of the 'Qualifiers' class
    `static int` | `RANGE_EXPRESSION` The meta object id for the '`Range Expression`' class
    `static int` | `RANGE_EXPRESSION__LEFT_EXPR` The feature id for the 'Left Expr' containment reference
    `static int` | `RANGE_EXPRESSION__LEFT_INCLUSIVE` The feature id for the 'Left Inclusive' attribute
    `static int` | `RANGE_EXPRESSION__RIGHT_EXPR` The feature id for the 'Right Expr' containment reference
    `static int` | `RANGE_EXPRESSION__RIGHT_INCLUSIVE` The feature id for the 'Right Inclusive' attribute
    `static int` | `RANGE_EXPRESSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `RANGE_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Range Expression' class
    `static int` | `RELATIONAL_EXPRESSION` The meta object id for the '`Relational Expression`' class
    `static int` | `RELATIONAL_EXPRESSION__ADDITIVE_EXPRESSION` The feature id for the 'Additive Expression' containment reference
    `static int` | `RELATIONAL_EXPRESSION__RELATIONAL_SUB_EXPRESSION` The feature id for the 'Relational Sub Expression' containment reference
    `static int` | `RELATIONAL_EXPRESSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `RELATIONAL_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Relational Expression' class
    `static int` | `RELATIONAL_OPERATOR` The meta object id for the '`Relational Operator`' class
    `static int` | `RELATIONAL_OPERATOR__OPERATOR` The feature id for the 'Operator' attribute
    `static int` | `RELATIONAL_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Relational Operator' class
    `static int` | `RELATIONAL_SUB_EXPRESSION` The meta object id for the '`Relational Sub Expression`' class
    `static int` | `RELATIONAL_SUB_EXPRESSION__ADDITIVE_EXPRESSION` The feature id for the 'Additive Expression' containment reference
    `static int` | `RELATIONAL_SUB_EXPRESSION__RELATIONAL_OPERATOR` The feature id for the 'Relational Operator' containment reference
    `static int` | `RELATIONAL_SUB_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Relational Sub Expression' class
    `static int` | `RULE_STATEMENT` The meta object id for the '`Rule Statement`' class
    `static int` | `RULE_STATEMENT__EXPRESSION_LIST` The feature id for the 'Expression List' containment reference list
    `static int` | `RULE_STATEMENT__GENERAL_EXPRESSION_LIST` The feature id for the 'General Expression List' containment reference list
    `static int` | `RULE_STATEMENT_FEATURE_COUNT` The number of structural features of the 'Rule Statement' class
    `static int` | `TYPE_SPECIFIER` The meta object id for the '`Type Specifier`' class
    `static int` | `TYPE_SPECIFIER__ENUMERATOR` The feature id for the 'Enumerator' attribute
    `static int` | `TYPE_SPECIFIER__NAME_LIST` The feature id for the 'Name List' containment reference list
    `static int` | `TYPE_SPECIFIER_FEATURE_COUNT` The number of structural features of the 'Type Specifier' class
    `static int` | `UNARY_EXPRESSION` The meta object id for the '`Unary Expression`' class
    `static int` | `UNARY_EXPRESSION__POSTFIX_EXPRESSION` The feature id for the 'Postfix Expression' containment reference
    `static int` | `UNARY_EXPRESSION__TYPE` The feature id for the 'Type' attribute
    `static int` | `UNARY_EXPRESSION__UNARY_OPERATOR` The feature id for the 'Unary Operator' containment reference
    `static int` | `UNARY_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Unary Expression' class
    `static int` | `UNARY_OPERATOR` The meta object id for the '`Unary Operator`' class
    `static int` | `UNARY_OPERATOR__OPERATOR` The feature id for the 'Operator' attribute
    `static int` | `UNARY_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Unary Operator' class
    `static int` | `VALUE_SET` The meta object id for the '`Value Set`' class
    `static int` | `VALUE_SET__EXPRESSION_LIST` The feature id for the 'Expression List' containment reference list
    `static int` | `VALUE_SET__GENERAL_EXPRESSION_LIST` The feature id for the 'General Expression List' containment reference list
    `static int` | `VALUE_SET__TYPE` The feature id for the 'Type' attribute
    `static int` | `VALUE_SET_FEATURE_COUNT` The number of structural features of the 'Value Set' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getAdditiveExpression_AdditiveSubExpressionList()` Returns the meta object for the containment reference list '`Additive Sub Expression List`'
    `org.eclipse.emf.ecore.EReference` | `getAdditiveExpression_MultiplicativeExpression()` Returns the meta object for the containment reference '`Multiplicative Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getAdditiveExpression_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EClass` | `getAdditiveExpression()` Returns the meta object for class '`Additive Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getAdditiveOperator_Operator()` Returns the meta object for the attribute '`Operator`'
    `org.eclipse.emf.ecore.EClass` | `getAdditiveOperator()` Returns the meta object for class '`Additive Operator`'
    `org.eclipse.emf.ecore.EReference` | `getAdditiveSubExpression_AdditiveOperator()` Returns the meta object for the containment reference '`Additive Operator`'
    `org.eclipse.emf.ecore.EReference` | `getAdditiveSubExpression_MultiplicativeExpression()` Returns the meta object for the containment reference '`Multiplicative Expression`'
    `org.eclipse.emf.ecore.EClass` | `getAdditiveSubExpression()` Returns the meta object for class '`Additive Sub Expression`'
    `org.eclipse.emf.ecore.EReference` | `getAssignmentExpression_AssignmentOperator()` Returns the meta object for the containment reference '`Assignment Operator`'
    `org.eclipse.emf.ecore.EReference` | `getAssignmentExpression_Expression()` Returns the meta object for the containment reference '`Expression`'
    `org.eclipse.emf.ecore.EReference` | `getAssignmentExpression_PostfixExpression()` Returns the meta object for the containment reference '`Postfix Expression`'
    `org.eclipse.emf.ecore.EClass` | `getAssignmentExpression()` Returns the meta object for class '`Assignment Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getAssignmentOperator_Operator()` Returns the meta object for the attribute '`Operator`'
    `org.eclipse.emf.ecore.EClass` | `getAssignmentOperator()` Returns the meta object for class '`Assignment Operator`'
    `AstFactory` | `getAstFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EReference` | `getCompoundExpression_GeneralExpressionList()` Returns the meta object for the containment reference list '`General Expression List`'
    `org.eclipse.emf.ecore.EClass` | `getCompoundExpression()` Returns the meta object for class '`Compound Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getConditionValueSet_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EReference` | `getConditionValueSet_ValueList()` Returns the meta object for the containment reference list '`Value List`'
    `org.eclipse.emf.ecore.EClass` | `getConditionValueSet()` Returns the meta object for class '`Condition Value Set`'
    `org.eclipse.emf.ecore.EReference` | `getDeclarator_NameList()` Returns the meta object for the containment reference list '`Name List`'
    `org.eclipse.emf.ecore.EReference` | `getDeclarator_TypeSpecifier()` Returns the meta object for the containment reference '`Type Specifier`'
    `org.eclipse.emf.ecore.EClass` | `getDeclarator()` Returns the meta object for class '`Declarator`'
    `org.eclipse.emf.ecore.EReference` | `getExpression_LogicalExpression()` Returns the meta object for the containment reference '`Logical Expression`'
    `org.eclipse.emf.ecore.EClass` | `getExpression()` Returns the meta object for class '`Expression`'
    `org.eclipse.emf.ecore.EReference` | `getFeatureCall_FeatureCallParameters()` Returns the meta object for the containment reference '`Feature Call Parameters`'
    `org.eclipse.emf.ecore.EAttribute` | `getFeatureCall_Operator()` Returns the meta object for the attribute '`Operator`'
    `org.eclipse.emf.ecore.EReference` | `getFeatureCall_PathName()` Returns the meta object for the containment reference '`Path Name`'
    `org.eclipse.emf.ecore.EReference` | `getFeatureCall_Qualifiers()` Returns the meta object for the containment reference '`Qualifiers`'
    `org.eclipse.emf.ecore.EAttribute` | `getFeatureCall_TimeExpr()` Returns the meta object for the attribute '`Time Expr`'
    `org.eclipse.emf.ecore.EClass` | `getFeatureCall()` Returns the meta object for class '`Feature Call`'
    `org.eclipse.emf.ecore.EReference` | `getFeatureCallParameters_Declarator()` Returns the meta object for the containment reference '`Declarator`'
    `org.eclipse.emf.ecore.EReference` | `getFeatureCallParameters_ParameterList()` Returns the meta object for the containment reference '`Parameter List`'
    `org.eclipse.emf.ecore.EClass` | `getFeatureCallParameters()` Returns the meta object for class '`Feature Call Parameters`'
    `org.eclipse.emf.ecore.EClass` | `getGeneralExpression()` Returns the meta object for class '`General Expression`'
    `org.eclipse.emf.ecore.EClass` | `getIConditionValue()` Returns the meta object for class '`ICondition Value`'
    `org.eclipse.emf.ecore.EClass` | `getIExpression()` Returns the meta object for class '`IExpression`'
    `org.eclipse.emf.ecore.EReference` | `getIfExpression_ElseExpr()` Returns the meta object for the containment reference '`Else Expr`'
    `org.eclipse.emf.ecore.EReference` | `getIfExpression_IfExpr()` Returns the meta object for the containment reference '`If Expr`'
    `org.eclipse.emf.ecore.EReference` | `getIfExpression_ThenExpr()` Returns the meta object for the containment reference '`Then Expr`'
    `org.eclipse.emf.ecore.EClass` | `getIfExpression()` Returns the meta object for class '`If Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getIPrimaryExpression_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EClass` | `getIPrimaryExpression()` Returns the meta object for class '`IPrimary Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getLiteral_Literal()` Returns the meta object for the attribute '`Literal`'
    `org.eclipse.emf.ecore.EClass` | `getLiteral()` Returns the meta object for class '`Literal`'
    `org.eclipse.emf.ecore.EAttribute` | `getLiteralCollection_CollectionKind()` Returns the meta object for the attribute '`Collection Kind`'
    `org.eclipse.emf.ecore.EReference` | `getLiteralCollection_ExpressionList()` Returns the meta object for the containment reference list '`Expression List`'
    `org.eclipse.emf.ecore.EClass` | `getLiteralCollection()` Returns the meta object for class '`Literal Collection`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalExpression_LogicalSubExpressionList()` Returns the meta object for the containment reference list '`Logical Sub Expression List`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalExpression_RelationalExpression()` Returns the meta object for the containment reference '`Relational Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getLogicalExpression_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EClass` | `getLogicalExpression()` Returns the meta object for class '`Logical Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getLogicalOperator_Operator()` Returns the meta object for the attribute '`Operator`'
    `org.eclipse.emf.ecore.EClass` | `getLogicalOperator()` Returns the meta object for class '`Logical Operator`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalSubExpression_LogicalOperator()` Returns the meta object for the containment reference '`Logical Operator`'
    `org.eclipse.emf.ecore.EReference` | `getLogicalSubExpression_RelationalExpression()` Returns the meta object for the containment reference '`Relational Expression`'
    `org.eclipse.emf.ecore.EClass` | `getLogicalSubExpression()` Returns the meta object for class '`Logical Sub Expression`'
    `org.eclipse.emf.ecore.EReference` | `getMultiplicativeExpression_MultiplicativeSubExpressionList()` Returns the meta object for the containment reference list '`Multiplicative Sub Expression List`'
    `org.eclipse.emf.ecore.EAttribute` | `getMultiplicativeExpression_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EReference` | `getMultiplicativeExpression_UnaryExpression()` Returns the meta object for the containment reference '`Unary Expression`'
    `org.eclipse.emf.ecore.EClass` | `getMultiplicativeExpression()` Returns the meta object for class '`Multiplicative Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getMultiplicativeOperator_Operator()` Returns the meta object for the attribute '`Operator`'
    `org.eclipse.emf.ecore.EClass` | `getMultiplicativeOperator()` Returns the meta object for class '`Multiplicative Operator`'
    `org.eclipse.emf.ecore.EReference` | `getMultiplicativeSubExpression_MultiplicativeOperator()` Returns the meta object for the containment reference '`Multiplicative Operator`'
    `org.eclipse.emf.ecore.EReference` | `getMultiplicativeSubExpression_UnaryExpression()` Returns the meta object for the containment reference '`Unary Expression`'
    `org.eclipse.emf.ecore.EClass` | `getMultiplicativeSubExpression()` Returns the meta object for class '`Multiplicative Sub Expression`'
    `org.eclipse.emf.ecore.EClass` | `getName_()` Returns the meta object for class '`Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getName_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EReference` | `getParameterList_ExpressionList()` Returns the meta object for the containment reference list '`Expression List`'
    `org.eclipse.emf.ecore.EReference` | `getParameterList_GeneralExpressionList()` Returns the meta object for the containment reference list '`General Expression List`'
    `org.eclipse.emf.ecore.EClass` | `getParameterList()` Returns the meta object for class '`Parameter List`'
    `org.eclipse.emf.ecore.EReference` | `getPathName_NameList()` Returns the meta object for the containment reference list '`Name List`'
    `org.eclipse.emf.ecore.EClass` | `getPathName()` Returns the meta object for class '`Path Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getPostfixExpression_Action()` Returns the meta object for the attribute '`Action`'
    `org.eclipse.emf.ecore.EReference` | `getPostfixExpression_FeatureCallList()` Returns the meta object for the containment reference list '`Feature Call List`'
    `org.eclipse.emf.ecore.EReference` | `getPostfixExpression_PrimaryExpression()` Returns the meta object for the containment reference '`Primary Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getPostfixExpression_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EClass` | `getPostfixExpression()` Returns the meta object for class '`Postfix Expression`'
    `org.eclipse.emf.ecore.EReference` | `getPrimaryExpression_IPrimaryExpression()` Returns the meta object for the containment reference '`IPrimary Expression`'
    `org.eclipse.emf.ecore.EClass` | `getPrimaryExpression()` Returns the meta object for class '`Primary Expression`'
    `org.eclipse.emf.ecore.EReference` | `getQualifiers_ParameterList()` Returns the meta object for the containment reference '`Parameter List`'
    `org.eclipse.emf.ecore.EClass` | `getQualifiers()` Returns the meta object for class '`Qualifiers`'
    `org.eclipse.emf.ecore.EReference` | `getRangeExpression_LeftExpr()` Returns the meta object for the containment reference '`Left Expr`'
    `org.eclipse.emf.ecore.EAttribute` | `getRangeExpression_LeftInclusive()` Returns the meta object for the attribute '`Left Inclusive`'
    `org.eclipse.emf.ecore.EReference` | `getRangeExpression_RightExpr()` Returns the meta object for the containment reference '`Right Expr`'
    `org.eclipse.emf.ecore.EAttribute` | `getRangeExpression_RightInclusive()` Returns the meta object for the attribute '`Right Inclusive`'
    `org.eclipse.emf.ecore.EClass` | `getRangeExpression()` Returns the meta object for class '`Range Expression`'
    `org.eclipse.emf.ecore.EReference` | `getRelationalExpression_AdditiveExpression()` Returns the meta object for the containment reference '`Additive Expression`'
    `org.eclipse.emf.ecore.EReference` | `getRelationalExpression_RelationalSubExpression()` Returns the meta object for the containment reference '`Relational Sub Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getRelationalExpression_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EClass` | `getRelationalExpression()` Returns the meta object for class '`Relational Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getRelationalOperator_Operator()` Returns the meta object for the attribute '`Operator`'
    `org.eclipse.emf.ecore.EClass` | `getRelationalOperator()` Returns the meta object for class '`Relational Operator`'
    `org.eclipse.emf.ecore.EReference` | `getRelationalSubExpression_AdditiveExpression()` Returns the meta object for the containment reference '`Additive Expression`'
    `org.eclipse.emf.ecore.EReference` | `getRelationalSubExpression_RelationalOperator()` Returns the meta object for the containment reference '`Relational Operator`'
    `org.eclipse.emf.ecore.EClass` | `getRelationalSubExpression()` Returns the meta object for class '`Relational Sub Expression`'
    `org.eclipse.emf.ecore.EClass` | `getRuleStatement()` Returns the meta object for class '`Rule Statement`'
    `org.eclipse.emf.ecore.EAttribute` | `getTypeSpecifier_Enumerator()` Returns the meta object for the attribute '`Enumerator`'
    `org.eclipse.emf.ecore.EReference` | `getTypeSpecifier_NameList()` Returns the meta object for the containment reference list '`Name List`'
    `org.eclipse.emf.ecore.EClass` | `getTypeSpecifier()` Returns the meta object for class '`Type Specifier`'
    `org.eclipse.emf.ecore.EReference` | `getUnaryExpression_PostfixExpression()` Returns the meta object for the containment reference '`Postfix Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getUnaryExpression_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EReference` | `getUnaryExpression_UnaryOperator()` Returns the meta object for the containment reference '`Unary Operator`'
    `org.eclipse.emf.ecore.EClass` | `getUnaryExpression()` Returns the meta object for class '`Unary Expression`'
    `org.eclipse.emf.ecore.EAttribute` | `getUnaryOperator_Operator()` Returns the meta object for the attribute '`Operator`'
    `org.eclipse.emf.ecore.EClass` | `getUnaryOperator()` Returns the meta object for class '`Unary Operator`'
    `org.eclipse.emf.ecore.EAttribute` | `getValueSet_Type()` Returns the meta object for the attribute '`Type`'
    `org.eclipse.emf.ecore.EClass` | `getValueSet()` Returns the meta object for class '`Value Set`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final AstPackage eINSTANCE

      The singleton instance of the package.

    - #### ADDITIVE_EXPRESSION

          static final int ADDITIVE_EXPRESSION

      The meta object id for the '`Additive Expression`' class.
      See Also:
        `AdditiveExpressionImpl`, `AstPackageImpl.getAdditiveExpression()`, Constant Field Values

    - #### ADDITIVE_EXPRESSION__TYPE

          static final int ADDITIVE_EXPRESSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### ADDITIVE_EXPRESSION__ADDITIVE_SUB_EXPRESSION_LIST

          static final int ADDITIVE_EXPRESSION__ADDITIVE_SUB_EXPRESSION_LIST

      The feature id for the 'Additive Sub Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### ADDITIVE_EXPRESSION__MULTIPLICATIVE_EXPRESSION

          static final int ADDITIVE_EXPRESSION__MULTIPLICATIVE_EXPRESSION

      The feature id for the 'Multiplicative Expression' containment reference.
      See Also:
        Constant Field Values

    - #### ADDITIVE_EXPRESSION_FEATURE_COUNT

          static final int ADDITIVE_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Additive Expression' class.
      See Also:
        Constant Field Values

    - #### ADDITIVE_OPERATOR

          static final int ADDITIVE_OPERATOR

      The meta object id for the '`Additive Operator`' class.
      See Also:
        `AdditiveOperatorImpl`, `AstPackageImpl.getAdditiveOperator()`, Constant Field Values

    - #### ADDITIVE_OPERATOR__OPERATOR

          static final int ADDITIVE_OPERATOR__OPERATOR

      The feature id for the 'Operator' attribute.
      See Also:
        Constant Field Values

    - #### ADDITIVE_OPERATOR_FEATURE_COUNT

          static final int ADDITIVE_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Additive Operator' class.
      See Also:
        Constant Field Values

    - #### ADDITIVE_SUB_EXPRESSION

          static final int ADDITIVE_SUB_EXPRESSION

      The meta object id for the '`Additive Sub Expression`' class.
      See Also:
        `AdditiveSubExpressionImpl`, `AstPackageImpl.getAdditiveSubExpression()`, Constant Field Values

    - #### ADDITIVE_SUB_EXPRESSION__MULTIPLICATIVE_EXPRESSION

          static final int ADDITIVE_SUB_EXPRESSION__MULTIPLICATIVE_EXPRESSION

      The feature id for the 'Multiplicative Expression' containment reference.
      See Also:
        Constant Field Values

    - #### ADDITIVE_SUB_EXPRESSION__ADDITIVE_OPERATOR

          static final int ADDITIVE_SUB_EXPRESSION__ADDITIVE_OPERATOR

      The feature id for the 'Additive Operator' containment reference.
      See Also:
        Constant Field Values

    - #### ADDITIVE_SUB_EXPRESSION_FEATURE_COUNT

          static final int ADDITIVE_SUB_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Additive Sub Expression' class.
      See Also:
        Constant Field Values

    - #### GENERAL_EXPRESSION

          static final int GENERAL_EXPRESSION

      The meta object id for the '`General Expression`' class.
      See Also:
        `GeneralExpressionImpl`, `AstPackageImpl.getGeneralExpression()`, Constant Field Values

    - #### GENERAL_EXPRESSION_FEATURE_COUNT

          static final int GENERAL_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'General Expression' class.
      See Also:
        Constant Field Values

    - #### ASSIGNMENT_EXPRESSION

          static final int ASSIGNMENT_EXPRESSION

      The meta object id for the '`Assignment Expression`' class.
      See Also:
        `AssignmentExpressionImpl`, `AstPackageImpl.getAssignmentExpression()`, Constant Field Values

    - #### ASSIGNMENT_EXPRESSION__ASSIGNMENT_OPERATOR

          static final int ASSIGNMENT_EXPRESSION__ASSIGNMENT_OPERATOR

      The feature id for the 'Assignment Operator' containment reference.
      See Also:
        Constant Field Values

    - #### ASSIGNMENT_EXPRESSION__POSTFIX_EXPRESSION

          static final int ASSIGNMENT_EXPRESSION__POSTFIX_EXPRESSION

      The feature id for the 'Postfix Expression' containment reference.
      See Also:
        Constant Field Values

    - #### ASSIGNMENT_EXPRESSION__EXPRESSION

          static final int ASSIGNMENT_EXPRESSION__EXPRESSION

      The feature id for the 'Expression' containment reference.
      See Also:
        Constant Field Values

    - #### ASSIGNMENT_EXPRESSION_FEATURE_COUNT

          static final int ASSIGNMENT_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Assignment Expression' class.
      See Also:
        Constant Field Values

    - #### ASSIGNMENT_OPERATOR

          static final int ASSIGNMENT_OPERATOR

      The meta object id for the '`Assignment Operator`' class.
      See Also:
        `AssignmentOperatorImpl`, `AstPackageImpl.getAssignmentOperator()`, Constant Field Values

    - #### ASSIGNMENT_OPERATOR__OPERATOR

          static final int ASSIGNMENT_OPERATOR__OPERATOR

      The feature id for the 'Operator' attribute.
      See Also:
        Constant Field Values

    - #### ASSIGNMENT_OPERATOR_FEATURE_COUNT

          static final int ASSIGNMENT_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Assignment Operator' class.
      See Also:
        Constant Field Values

    - #### COMPOUND_EXPRESSION

          static final int COMPOUND_EXPRESSION

      The meta object id for the '`Compound Expression`' class.
      See Also:
        `CompoundExpressionImpl`, `AstPackageImpl.getCompoundExpression()`, Constant Field Values

    - #### COMPOUND_EXPRESSION__GENERAL_EXPRESSION_LIST

          static final int COMPOUND_EXPRESSION__GENERAL_EXPRESSION_LIST

      The feature id for the 'General Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### COMPOUND_EXPRESSION_FEATURE_COUNT

          static final int COMPOUND_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Compound Expression' class.
      See Also:
        Constant Field Values

    - #### DECLARATOR

          static final int DECLARATOR

      The meta object id for the '`Declarator`' class.
      See Also:
        `DeclaratorImpl`, `AstPackageImpl.getDeclarator()`, Constant Field Values

    - #### EXPRESSION

          static final int EXPRESSION

      The meta object id for the '`Expression`' class.
      See Also:
        `ExpressionImpl`, `AstPackageImpl.getExpression()`, Constant Field Values

    - #### IPRIMARY_EXPRESSION

          static final int IPRIMARY_EXPRESSION

      The meta object id for the '`IPrimary Expression`' class.
      See Also:
        `IPrimaryExpression`, `AstPackageImpl.getIPrimaryExpression()`, Constant Field Values

    - #### FEATURE_CALL

          static final int FEATURE_CALL

      The meta object id for the '`Feature Call`' class.
      See Also:
        `FeatureCallImpl`, `AstPackageImpl.getFeatureCall()`, Constant Field Values

    - #### FEATURE_CALL_PARAMETERS

          static final int FEATURE_CALL_PARAMETERS

      The meta object id for the '`Feature Call Parameters`' class.
      See Also:
        `FeatureCallParametersImpl`, `AstPackageImpl.getFeatureCallParameters()`, Constant Field Values

    - #### IEXPRESSION

          static final int IEXPRESSION

      The meta object id for the '`IExpression`' class.
      See Also:
        `IExpression`, `AstPackageImpl.getIExpression()`, Constant Field Values

    - #### IF_EXPRESSION

          static final int IF_EXPRESSION

      The meta object id for the '`If Expression`' class.
      See Also:
        `IfExpressionImpl`, `AstPackageImpl.getIfExpression()`, Constant Field Values

    - #### LITERAL

          static final int LITERAL

      The meta object id for the '`Literal`' class.
      See Also:
        `LiteralImpl`, `AstPackageImpl.getLiteral()`, Constant Field Values

    - #### LITERAL_COLLECTION

          static final int LITERAL_COLLECTION

      The meta object id for the '`Literal Collection`' class.
      See Also:
        `LiteralCollectionImpl`, `AstPackageImpl.getLiteralCollection()`, Constant Field Values

    - #### LOGICAL_EXPRESSION

          static final int LOGICAL_EXPRESSION

      The meta object id for the '`Logical Expression`' class.
      See Also:
        `LogicalExpressionImpl`, `AstPackageImpl.getLogicalExpression()`, Constant Field Values

    - #### LOGICAL_OPERATOR

          static final int LOGICAL_OPERATOR

      The meta object id for the '`Logical Operator`' class.
      See Also:
        `LogicalOperatorImpl`, `AstPackageImpl.getLogicalOperator()`, Constant Field Values

    - #### LOGICAL_SUB_EXPRESSION

          static final int LOGICAL_SUB_EXPRESSION

      The meta object id for the '`Logical Sub Expression`' class.
      See Also:
        `LogicalSubExpressionImpl`, `AstPackageImpl.getLogicalSubExpression()`, Constant Field Values

    - #### MULTIPLICATIVE_EXPRESSION

          static final int MULTIPLICATIVE_EXPRESSION

      The meta object id for the '`Multiplicative Expression`' class.
      See Also:
        `MultiplicativeExpressionImpl`, `AstPackageImpl.getMultiplicativeExpression()`, Constant Field Values

    - #### MULTIPLICATIVE_OPERATOR

          static final int MULTIPLICATIVE_OPERATOR

      The meta object id for the '`Multiplicative Operator`' class.
      See Also:
        `MultiplicativeOperatorImpl`, `AstPackageImpl.getMultiplicativeOperator()`, Constant Field Values

    - #### MULTIPLICATIVE_SUB_EXPRESSION

          static final int MULTIPLICATIVE_SUB_EXPRESSION

      The meta object id for the '`Multiplicative Sub Expression`' class.
      See Also:
        `MultiplicativeSubExpressionImpl`, `AstPackageImpl.getMultiplicativeSubExpression()`, Constant Field Values

    - #### PARAMETER_LIST

          static final int PARAMETER_LIST

      The meta object id for the '`Parameter List`' class.
      See Also:
        `ParameterListImpl`, `AstPackageImpl.getParameterList()`, Constant Field Values

    - #### PATH_NAME

          static final int PATH_NAME

      The meta object id for the '`Path Name`' class.
      See Also:
        `PathNameImpl`, `AstPackageImpl.getPathName()`, Constant Field Values

    - #### POSTFIX_EXPRESSION

          static final int POSTFIX_EXPRESSION

      The meta object id for the '`Postfix Expression`' class.
      See Also:
        `PostfixExpressionImpl`, `AstPackageImpl.getPostfixExpression()`, Constant Field Values

    - #### PRIMARY_EXPRESSION

          static final int PRIMARY_EXPRESSION

      The meta object id for the '`Primary Expression`' class.
      See Also:
        `PrimaryExpressionImpl`, `AstPackageImpl.getPrimaryExpression()`, Constant Field Values

    - #### QUALIFIERS

          static final int QUALIFIERS

      The meta object id for the '`Qualifiers`' class.
      See Also:
        `QualifiersImpl`, `AstPackageImpl.getQualifiers()`, Constant Field Values

    - #### RANGE_EXPRESSION

          static final int RANGE_EXPRESSION

      The meta object id for the '`Range Expression`' class.
      See Also:
        `RangeExpressionImpl`, `AstPackageImpl.getRangeExpression()`, Constant Field Values

    - #### RELATIONAL_EXPRESSION

          static final int RELATIONAL_EXPRESSION

      The meta object id for the '`Relational Expression`' class.
      See Also:
        `RelationalExpressionImpl`, `AstPackageImpl.getRelationalExpression()`, Constant Field Values

    - #### RELATIONAL_OPERATOR

          static final int RELATIONAL_OPERATOR

      The meta object id for the '`Relational Operator`' class.
      See Also:
        `RelationalOperatorImpl`, `AstPackageImpl.getRelationalOperator()`, Constant Field Values

    - #### ICONDITION_VALUE

          static final int ICONDITION_VALUE

      The meta object id for the '`ICondition Value`' class.
      See Also:
        `IConditionValue`, `AstPackageImpl.getIConditionValue()`, Constant Field Values

    - #### RELATIONAL_SUB_EXPRESSION

          static final int RELATIONAL_SUB_EXPRESSION

      The meta object id for the '`Relational Sub Expression`' class.
      See Also:
        `RelationalSubExpressionImpl`, `AstPackageImpl.getRelationalSubExpression()`, Constant Field Values

    - #### TYPE_SPECIFIER

          static final int TYPE_SPECIFIER

      The meta object id for the '`Type Specifier`' class.
      See Also:
        `TypeSpecifierImpl`, `AstPackageImpl.getTypeSpecifier()`, Constant Field Values

    - #### UNARY_EXPRESSION

          static final int UNARY_EXPRESSION

      The meta object id for the '`Unary Expression`' class.
      See Also:
        `UnaryExpressionImpl`, `AstPackageImpl.getUnaryExpression()`, Constant Field Values

    - #### UNARY_OPERATOR

          static final int UNARY_OPERATOR

      The meta object id for the '`Unary Operator`' class.
      See Also:
        `UnaryOperatorImpl`, `AstPackageImpl.getUnaryOperator()`, Constant Field Values

    - #### NAME

          static final int NAME

      The meta object id for the '`Name`' class.
      See Also:
        `NameImpl`, `AstPackageImpl.getName_()`, Constant Field Values

    - #### CONDITION_VALUE_SET

          static final int CONDITION_VALUE_SET

      The meta object id for the '`Condition Value Set`' class.
      See Also:
        `ConditionValueSetImpl`, `AstPackageImpl.getConditionValueSet()`, Constant Field Values

    - #### CONDITION_VALUE_SET__TYPE

          static final int CONDITION_VALUE_SET__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_VALUE_SET__VALUE_LIST

          static final int CONDITION_VALUE_SET__VALUE_LIST

      The feature id for the 'Value List' containment reference list.
      See Also:
        Constant Field Values

    - #### CONDITION_VALUE_SET_FEATURE_COUNT

          static final int CONDITION_VALUE_SET_FEATURE_COUNT

      The number of structural features of the 'Condition Value Set' class.
      See Also:
        Constant Field Values

    - #### DECLARATOR__TYPE_SPECIFIER

          static final int DECLARATOR__TYPE_SPECIFIER

      The feature id for the 'Type Specifier' containment reference.
      See Also:
        Constant Field Values

    - #### DECLARATOR__NAME_LIST

          static final int DECLARATOR__NAME_LIST

      The feature id for the 'Name List' containment reference list.
      See Also:
        Constant Field Values

    - #### DECLARATOR_FEATURE_COUNT

          static final int DECLARATOR_FEATURE_COUNT

      The number of structural features of the 'Declarator' class.
      See Also:
        Constant Field Values

    - #### EXPRESSION__TYPE

          static final int EXPRESSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### EXPRESSION__LOGICAL_EXPRESSION

          static final int EXPRESSION__LOGICAL_EXPRESSION

      The feature id for the 'Logical Expression' containment reference.
      See Also:
        Constant Field Values

    - #### EXPRESSION_FEATURE_COUNT

          static final int EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Expression' class.
      See Also:
        Constant Field Values

    - #### IPRIMARY_EXPRESSION__TYPE

          static final int IPRIMARY_EXPRESSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### IPRIMARY_EXPRESSION_FEATURE_COUNT

          static final int IPRIMARY_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'IPrimary Expression' class.
      See Also:
        Constant Field Values

    - #### FEATURE_CALL__TYPE

          static final int FEATURE_CALL__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### FEATURE_CALL__OPERATOR

          static final int FEATURE_CALL__OPERATOR

      The feature id for the 'Operator' attribute.
      See Also:
        Constant Field Values

    - #### FEATURE_CALL__TIME_EXPR

          static final int FEATURE_CALL__TIME_EXPR

      The feature id for the 'Time Expr' attribute.
      See Also:
        Constant Field Values

    - #### FEATURE_CALL__PATH_NAME

          static final int FEATURE_CALL__PATH_NAME

      The feature id for the 'Path Name' containment reference.
      See Also:
        Constant Field Values

    - #### FEATURE_CALL__QUALIFIERS

          static final int FEATURE_CALL__QUALIFIERS

      The feature id for the 'Qualifiers' containment reference.
      See Also:
        Constant Field Values

    - #### FEATURE_CALL__FEATURE_CALL_PARAMETERS

          static final int FEATURE_CALL__FEATURE_CALL_PARAMETERS

      The feature id for the 'Feature Call Parameters' containment reference.
      See Also:
        Constant Field Values

    - #### FEATURE_CALL_FEATURE_COUNT

          static final int FEATURE_CALL_FEATURE_COUNT

      The number of structural features of the 'Feature Call' class.
      See Also:
        Constant Field Values

    - #### FEATURE_CALL_PARAMETERS__PARAMETER_LIST

          static final int FEATURE_CALL_PARAMETERS__PARAMETER_LIST

      The feature id for the 'Parameter List' containment reference.
      See Also:
        Constant Field Values

    - #### FEATURE_CALL_PARAMETERS__DECLARATOR

          static final int FEATURE_CALL_PARAMETERS__DECLARATOR

      The feature id for the 'Declarator' containment reference.
      See Also:
        Constant Field Values

    - #### FEATURE_CALL_PARAMETERS_FEATURE_COUNT

          static final int FEATURE_CALL_PARAMETERS_FEATURE_COUNT

      The number of structural features of the 'Feature Call Parameters' class.
      See Also:
        Constant Field Values

    - #### ICONDITION_VALUE_FEATURE_COUNT

          static final int ICONDITION_VALUE_FEATURE_COUNT

      The number of structural features of the 'ICondition Value' class.
      See Also:
        Constant Field Values

    - #### IEXPRESSION_FEATURE_COUNT

          static final int IEXPRESSION_FEATURE_COUNT

      The number of structural features of the 'IExpression' class.
      See Also:
        Constant Field Values

    - #### IF_EXPRESSION__TYPE

          static final int IF_EXPRESSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### IF_EXPRESSION__IF_EXPR

          static final int IF_EXPRESSION__IF_EXPR

      The feature id for the 'If Expr' containment reference.
      See Also:
        Constant Field Values

    - #### IF_EXPRESSION__THEN_EXPR

          static final int IF_EXPRESSION__THEN_EXPR

      The feature id for the 'Then Expr' containment reference.
      See Also:
        Constant Field Values

    - #### IF_EXPRESSION__ELSE_EXPR

          static final int IF_EXPRESSION__ELSE_EXPR

      The feature id for the 'Else Expr' containment reference.
      See Also:
        Constant Field Values

    - #### IF_EXPRESSION_FEATURE_COUNT

          static final int IF_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'If Expression' class.
      See Also:
        Constant Field Values

    - #### LITERAL__TYPE

          static final int LITERAL__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### LITERAL__LITERAL

          static final int LITERAL__LITERAL

      The feature id for the 'Literal' attribute.
      See Also:
        Constant Field Values

    - #### LITERAL_FEATURE_COUNT

          static final int LITERAL_FEATURE_COUNT

      The number of structural features of the 'Literal' class.
      See Also:
        Constant Field Values

    - #### LITERAL_COLLECTION__TYPE

          static final int LITERAL_COLLECTION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### LITERAL_COLLECTION__COLLECTION_KIND

          static final int LITERAL_COLLECTION__COLLECTION_KIND

      The feature id for the 'Collection Kind' attribute.
      See Also:
        Constant Field Values

    - #### LITERAL_COLLECTION__EXPRESSION_LIST

          static final int LITERAL_COLLECTION__EXPRESSION_LIST

      The feature id for the 'Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### LITERAL_COLLECTION_FEATURE_COUNT

          static final int LITERAL_COLLECTION_FEATURE_COUNT

      The number of structural features of the 'Literal Collection' class.
      See Also:
        Constant Field Values

    - #### LOGICAL_EXPRESSION__TYPE

          static final int LOGICAL_EXPRESSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### LOGICAL_EXPRESSION__LOGICAL_SUB_EXPRESSION_LIST

          static final int LOGICAL_EXPRESSION__LOGICAL_SUB_EXPRESSION_LIST

      The feature id for the 'Logical Sub Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### LOGICAL_EXPRESSION__RELATIONAL_EXPRESSION

          static final int LOGICAL_EXPRESSION__RELATIONAL_EXPRESSION

      The feature id for the 'Relational Expression' containment reference.
      See Also:
        Constant Field Values

    - #### LOGICAL_EXPRESSION_FEATURE_COUNT

          static final int LOGICAL_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Logical Expression' class.
      See Also:
        Constant Field Values

    - #### LOGICAL_OPERATOR__OPERATOR

          static final int LOGICAL_OPERATOR__OPERATOR

      The feature id for the 'Operator' attribute.
      See Also:
        Constant Field Values

    - #### LOGICAL_OPERATOR_FEATURE_COUNT

          static final int LOGICAL_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Logical Operator' class.
      See Also:
        Constant Field Values

    - #### LOGICAL_SUB_EXPRESSION__LOGICAL_OPERATOR

          static final int LOGICAL_SUB_EXPRESSION__LOGICAL_OPERATOR

      The feature id for the 'Logical Operator' containment reference.
      See Also:
        Constant Field Values

    - #### LOGICAL_SUB_EXPRESSION__RELATIONAL_EXPRESSION

          static final int LOGICAL_SUB_EXPRESSION__RELATIONAL_EXPRESSION

      The feature id for the 'Relational Expression' containment reference.
      See Also:
        Constant Field Values

    - #### LOGICAL_SUB_EXPRESSION_FEATURE_COUNT

          static final int LOGICAL_SUB_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Logical Sub Expression' class.
      See Also:
        Constant Field Values

    - #### MULTIPLICATIVE_EXPRESSION__TYPE

          static final int MULTIPLICATIVE_EXPRESSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### MULTIPLICATIVE_EXPRESSION__UNARY_EXPRESSION

          static final int MULTIPLICATIVE_EXPRESSION__UNARY_EXPRESSION

      The feature id for the 'Unary Expression' containment reference.
      See Also:
        Constant Field Values

    - #### MULTIPLICATIVE_EXPRESSION__MULTIPLICATIVE_SUB_EXPRESSION_LIST

          static final int MULTIPLICATIVE_EXPRESSION__MULTIPLICATIVE_SUB_EXPRESSION_LIST

      The feature id for the 'Multiplicative Sub Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### MULTIPLICATIVE_EXPRESSION_FEATURE_COUNT

          static final int MULTIPLICATIVE_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Multiplicative Expression' class.
      See Also:
        Constant Field Values

    - #### MULTIPLICATIVE_OPERATOR__OPERATOR

          static final int MULTIPLICATIVE_OPERATOR__OPERATOR

      The feature id for the 'Operator' attribute.
      See Also:
        Constant Field Values

    - #### MULTIPLICATIVE_OPERATOR_FEATURE_COUNT

          static final int MULTIPLICATIVE_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Multiplicative Operator' class.
      See Also:
        Constant Field Values

    - #### MULTIPLICATIVE_SUB_EXPRESSION__UNARY_EXPRESSION

          static final int MULTIPLICATIVE_SUB_EXPRESSION__UNARY_EXPRESSION

      The feature id for the 'Unary Expression' containment reference.
      See Also:
        Constant Field Values

    - #### MULTIPLICATIVE_SUB_EXPRESSION__MULTIPLICATIVE_OPERATOR

          static final int MULTIPLICATIVE_SUB_EXPRESSION__MULTIPLICATIVE_OPERATOR

      The feature id for the 'Multiplicative Operator' containment reference.
      See Also:
        Constant Field Values

    - #### MULTIPLICATIVE_SUB_EXPRESSION_FEATURE_COUNT

          static final int MULTIPLICATIVE_SUB_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Multiplicative Sub Expression' class.
      See Also:
        Constant Field Values

    - #### NAME__NAME

          static final int NAME__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### NAME_FEATURE_COUNT

          static final int NAME_FEATURE_COUNT

      The number of structural features of the 'Name' class.
      See Also:
        Constant Field Values

    - #### PARAMETER_LIST__EXPRESSION_LIST

          static final int PARAMETER_LIST__EXPRESSION_LIST

      The feature id for the 'Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### PARAMETER_LIST__GENERAL_EXPRESSION_LIST

          static final int PARAMETER_LIST__GENERAL_EXPRESSION_LIST

      The feature id for the 'General Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### PARAMETER_LIST_FEATURE_COUNT

          static final int PARAMETER_LIST_FEATURE_COUNT

      The number of structural features of the 'Parameter List' class.
      See Also:
        Constant Field Values

    - #### PATH_NAME__NAME_LIST

          static final int PATH_NAME__NAME_LIST

      The feature id for the 'Name List' containment reference list.
      See Also:
        Constant Field Values

    - #### PATH_NAME_FEATURE_COUNT

          static final int PATH_NAME_FEATURE_COUNT

      The number of structural features of the 'Path Name' class.
      See Also:
        Constant Field Values

    - #### POSTFIX_EXPRESSION__TYPE

          static final int POSTFIX_EXPRESSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### POSTFIX_EXPRESSION__ACTION

          static final int POSTFIX_EXPRESSION__ACTION

      The feature id for the 'Action' attribute.
      See Also:
        Constant Field Values

    - #### POSTFIX_EXPRESSION__PRIMARY_EXPRESSION

          static final int POSTFIX_EXPRESSION__PRIMARY_EXPRESSION

      The feature id for the 'Primary Expression' containment reference.
      See Also:
        Constant Field Values

    - #### POSTFIX_EXPRESSION__FEATURE_CALL_LIST

          static final int POSTFIX_EXPRESSION__FEATURE_CALL_LIST

      The feature id for the 'Feature Call List' containment reference list.
      See Also:
        Constant Field Values

    - #### POSTFIX_EXPRESSION_FEATURE_COUNT

          static final int POSTFIX_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Postfix Expression' class.
      See Also:
        Constant Field Values

    - #### PRIMARY_EXPRESSION__IPRIMARY_EXPRESSION

          static final int PRIMARY_EXPRESSION__IPRIMARY_EXPRESSION

      The feature id for the 'IPrimary Expression' containment reference.
      See Also:
        Constant Field Values

    - #### PRIMARY_EXPRESSION_FEATURE_COUNT

          static final int PRIMARY_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Primary Expression' class.
      See Also:
        Constant Field Values

    - #### QUALIFIERS__PARAMETER_LIST

          static final int QUALIFIERS__PARAMETER_LIST

      The feature id for the 'Parameter List' containment reference.
      See Also:
        Constant Field Values

    - #### QUALIFIERS_FEATURE_COUNT

          static final int QUALIFIERS_FEATURE_COUNT

      The number of structural features of the 'Qualifiers' class.
      See Also:
        Constant Field Values

    - #### RANGE_EXPRESSION__TYPE

          static final int RANGE_EXPRESSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### RANGE_EXPRESSION__LEFT_INCLUSIVE

          static final int RANGE_EXPRESSION__LEFT_INCLUSIVE

      The feature id for the 'Left Inclusive' attribute.
      See Also:
        Constant Field Values

    - #### RANGE_EXPRESSION__RIGHT_INCLUSIVE

          static final int RANGE_EXPRESSION__RIGHT_INCLUSIVE

      The feature id for the 'Right Inclusive' attribute.
      See Also:
        Constant Field Values

    - #### RANGE_EXPRESSION__LEFT_EXPR

          static final int RANGE_EXPRESSION__LEFT_EXPR

      The feature id for the 'Left Expr' containment reference.
      See Also:
        Constant Field Values

    - #### RANGE_EXPRESSION__RIGHT_EXPR

          static final int RANGE_EXPRESSION__RIGHT_EXPR

      The feature id for the 'Right Expr' containment reference.
      See Also:
        Constant Field Values

    - #### RANGE_EXPRESSION_FEATURE_COUNT

          static final int RANGE_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Range Expression' class.
      See Also:
        Constant Field Values

    - #### RELATIONAL_EXPRESSION__TYPE

          static final int RELATIONAL_EXPRESSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### RELATIONAL_EXPRESSION__ADDITIVE_EXPRESSION

          static final int RELATIONAL_EXPRESSION__ADDITIVE_EXPRESSION

      The feature id for the 'Additive Expression' containment reference.
      See Also:
        Constant Field Values

    - #### RELATIONAL_EXPRESSION__RELATIONAL_SUB_EXPRESSION

          static final int RELATIONAL_EXPRESSION__RELATIONAL_SUB_EXPRESSION

      The feature id for the 'Relational Sub Expression' containment reference.
      See Also:
        Constant Field Values

    - #### RELATIONAL_EXPRESSION_FEATURE_COUNT

          static final int RELATIONAL_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Relational Expression' class.
      See Also:
        Constant Field Values

    - #### RELATIONAL_OPERATOR__OPERATOR

          static final int RELATIONAL_OPERATOR__OPERATOR

      The feature id for the 'Operator' attribute.
      See Also:
        Constant Field Values

    - #### RELATIONAL_OPERATOR_FEATURE_COUNT

          static final int RELATIONAL_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Relational Operator' class.
      See Also:
        Constant Field Values

    - #### RELATIONAL_SUB_EXPRESSION__RELATIONAL_OPERATOR

          static final int RELATIONAL_SUB_EXPRESSION__RELATIONAL_OPERATOR

      The feature id for the 'Relational Operator' containment reference.
      See Also:
        Constant Field Values

    - #### RELATIONAL_SUB_EXPRESSION__ADDITIVE_EXPRESSION

          static final int RELATIONAL_SUB_EXPRESSION__ADDITIVE_EXPRESSION

      The feature id for the 'Additive Expression' containment reference.
      See Also:
        Constant Field Values

    - #### RELATIONAL_SUB_EXPRESSION_FEATURE_COUNT

          static final int RELATIONAL_SUB_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Relational Sub Expression' class.
      See Also:
        Constant Field Values

    - #### VALUE_SET

          static final int VALUE_SET

      The meta object id for the '`Value Set`' class.
      See Also:
        `ValueSetImpl`, `AstPackageImpl.getValueSet()`, Constant Field Values

    - #### RULE_STATEMENT

          static final int RULE_STATEMENT

      The meta object id for the '`Rule Statement`' class.
      See Also:
        `RuleStatementImpl`, `AstPackageImpl.getRuleStatement()`, Constant Field Values

    - #### RULE_STATEMENT__EXPRESSION_LIST

          static final int RULE_STATEMENT__EXPRESSION_LIST

      The feature id for the 'Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT__GENERAL_EXPRESSION_LIST

          static final int RULE_STATEMENT__GENERAL_EXPRESSION_LIST

      The feature id for the 'General Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_FEATURE_COUNT

          static final int RULE_STATEMENT_FEATURE_COUNT

      The number of structural features of the 'Rule Statement' class.
      See Also:
        Constant Field Values

    - #### TYPE_SPECIFIER__ENUMERATOR

          static final int TYPE_SPECIFIER__ENUMERATOR

      The feature id for the 'Enumerator' attribute.
      See Also:
        Constant Field Values

    - #### TYPE_SPECIFIER__NAME_LIST

          static final int TYPE_SPECIFIER__NAME_LIST

      The feature id for the 'Name List' containment reference list.
      See Also:
        Constant Field Values

    - #### TYPE_SPECIFIER_FEATURE_COUNT

          static final int TYPE_SPECIFIER_FEATURE_COUNT

      The number of structural features of the 'Type Specifier' class.
      See Also:
        Constant Field Values

    - #### UNARY_EXPRESSION__TYPE

          static final int UNARY_EXPRESSION__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### UNARY_EXPRESSION__POSTFIX_EXPRESSION

          static final int UNARY_EXPRESSION__POSTFIX_EXPRESSION

      The feature id for the 'Postfix Expression' containment reference.
      See Also:
        Constant Field Values

    - #### UNARY_EXPRESSION__UNARY_OPERATOR

          static final int UNARY_EXPRESSION__UNARY_OPERATOR

      The feature id for the 'Unary Operator' containment reference.
      See Also:
        Constant Field Values

    - #### UNARY_EXPRESSION_FEATURE_COUNT

          static final int UNARY_EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Unary Expression' class.
      See Also:
        Constant Field Values

    - #### UNARY_OPERATOR__OPERATOR

          static final int UNARY_OPERATOR__OPERATOR

      The feature id for the 'Operator' attribute.
      See Also:
        Constant Field Values

    - #### UNARY_OPERATOR_FEATURE_COUNT

          static final int UNARY_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Unary Operator' class.
      See Also:
        Constant Field Values

    - #### VALUE_SET__EXPRESSION_LIST

          static final int VALUE_SET__EXPRESSION_LIST

      The feature id for the 'Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### VALUE_SET__GENERAL_EXPRESSION_LIST

          static final int VALUE_SET__GENERAL_EXPRESSION_LIST

      The feature id for the 'General Expression List' containment reference list.
      See Also:
        Constant Field Values

    - #### VALUE_SET__TYPE

          static final int VALUE_SET__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values

    - #### VALUE_SET_FEATURE_COUNT

          static final int VALUE_SET_FEATURE_COUNT

      The number of structural features of the 'Value Set' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAdditiveExpression

          org.eclipse.emf.ecore.EClass getAdditiveExpression()

      Returns the meta object for class '`Additive Expression`'.
      Returns:
        the meta object for class 'Additive Expression'.
      See Also:
        `AdditiveExpression`

    - #### getAdditiveExpression_Type

          org.eclipse.emf.ecore.EAttribute getAdditiveExpression_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `AdditiveExpression.getType()`, `getAdditiveExpression()`

    - #### getAdditiveExpression_AdditiveSubExpressionList

          org.eclipse.emf.ecore.EReference getAdditiveExpression_AdditiveSubExpressionList()

      Returns the meta object for the containment reference list '`Additive Sub Expression List`'.
      Returns:
        the meta object for the containment reference list 'Additive Sub Expression List'.
      See Also:
        `AdditiveExpression.getAdditiveSubExpressionList()`, `getAdditiveExpression()`

    - #### getAdditiveExpression_MultiplicativeExpression

          org.eclipse.emf.ecore.EReference getAdditiveExpression_MultiplicativeExpression()

      Returns the meta object for the containment reference '`Multiplicative Expression`'.
      Returns:
        the meta object for the containment reference 'Multiplicative Expression'.
      See Also:
        `AdditiveExpression.getMultiplicativeExpression()`, `getAdditiveExpression()`

    - #### getAdditiveOperator

          org.eclipse.emf.ecore.EClass getAdditiveOperator()

      Returns the meta object for class '`Additive Operator`'.
      Returns:
        the meta object for class 'Additive Operator'.
      See Also:
        `AdditiveOperator`

    - #### getAdditiveOperator_Operator

          org.eclipse.emf.ecore.EAttribute getAdditiveOperator_Operator()

      Returns the meta object for the attribute '`Operator`'.
      Returns:
        the meta object for the attribute 'Operator'.
      See Also:
        `AdditiveOperator.getOperator()`, `getAdditiveOperator()`

    - #### getAdditiveSubExpression

          org.eclipse.emf.ecore.EClass getAdditiveSubExpression()

      Returns the meta object for class '`Additive Sub Expression`'.
      Returns:
        the meta object for class 'Additive Sub Expression'.
      See Also:
        `AdditiveSubExpression`

    - #### getAdditiveSubExpression_MultiplicativeExpression

          org.eclipse.emf.ecore.EReference getAdditiveSubExpression_MultiplicativeExpression()

      Returns the meta object for the containment reference '`Multiplicative Expression`'.
      Returns:
        the meta object for the containment reference 'Multiplicative Expression'.
      See Also:
        `AdditiveSubExpression.getMultiplicativeExpression()`, `getAdditiveSubExpression()`

    - #### getAdditiveSubExpression_AdditiveOperator

          org.eclipse.emf.ecore.EReference getAdditiveSubExpression_AdditiveOperator()

      Returns the meta object for the containment reference '`Additive Operator`'.
      Returns:
        the meta object for the containment reference 'Additive Operator'.
      See Also:
        `AdditiveSubExpression.getAdditiveOperator()`, `getAdditiveSubExpression()`

    - #### getAssignmentExpression

          org.eclipse.emf.ecore.EClass getAssignmentExpression()

      Returns the meta object for class '`Assignment Expression`'.
      Returns:
        the meta object for class 'Assignment Expression'.
      See Also:
        `AssignmentExpression`

    - #### getAssignmentExpression_AssignmentOperator

          org.eclipse.emf.ecore.EReference getAssignmentExpression_AssignmentOperator()

      Returns the meta object for the containment reference '`Assignment Operator`'.
      Returns:
        the meta object for the containment reference 'Assignment Operator'.
      See Also:
        `AssignmentExpression.getAssignmentOperator()`, `getAssignmentExpression()`

    - #### getAssignmentExpression_PostfixExpression

          org.eclipse.emf.ecore.EReference getAssignmentExpression_PostfixExpression()

      Returns the meta object for the containment reference '`Postfix Expression`'.
      Returns:
        the meta object for the containment reference 'Postfix Expression'.
      See Also:
        `AssignmentExpression.getPostfixExpression()`, `getAssignmentExpression()`

    - #### getAssignmentExpression_Expression

          org.eclipse.emf.ecore.EReference getAssignmentExpression_Expression()

      Returns the meta object for the containment reference '`Expression`'.
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `AssignmentExpression.getExpression()`, `getAssignmentExpression()`

    - #### getAssignmentOperator

          org.eclipse.emf.ecore.EClass getAssignmentOperator()

      Returns the meta object for class '`Assignment Operator`'.
      Returns:
        the meta object for class 'Assignment Operator'.
      See Also:
        `AssignmentOperator`

    - #### getAssignmentOperator_Operator

          org.eclipse.emf.ecore.EAttribute getAssignmentOperator_Operator()

      Returns the meta object for the attribute '`Operator`'.
      Returns:
        the meta object for the attribute 'Operator'.
      See Also:
        `AssignmentOperator.getOperator()`, `getAssignmentOperator()`

    - #### getCompoundExpression

          org.eclipse.emf.ecore.EClass getCompoundExpression()

      Returns the meta object for class '`Compound Expression`'.
      Returns:
        the meta object for class 'Compound Expression'.
      See Also:
        `CompoundExpression`

    - #### getCompoundExpression_GeneralExpressionList

          org.eclipse.emf.ecore.EReference getCompoundExpression_GeneralExpressionList()

      Returns the meta object for the containment reference list '`General Expression List`'.
      Returns:
        the meta object for the containment reference list 'General Expression List'.
      See Also:
        `CompoundExpression.getGeneralExpressionList()`, `getCompoundExpression()`

    - #### getDeclarator

          org.eclipse.emf.ecore.EClass getDeclarator()

      Returns the meta object for class '`Declarator`'.
      Returns:
        the meta object for class 'Declarator'.
      See Also:
        `Declarator`

    - #### getDeclarator_TypeSpecifier

          org.eclipse.emf.ecore.EReference getDeclarator_TypeSpecifier()

      Returns the meta object for the containment reference '`Type Specifier`'.
      Returns:
        the meta object for the containment reference 'Type Specifier'.
      See Also:
        `Declarator.getTypeSpecifier()`, `getDeclarator()`

    - #### getDeclarator_NameList

          org.eclipse.emf.ecore.EReference getDeclarator_NameList()

      Returns the meta object for the containment reference list '`Name List`'.
      Returns:
        the meta object for the containment reference list 'Name List'.
      See Also:
        `Declarator.getNameList()`, `getDeclarator()`

    - #### getExpression

          org.eclipse.emf.ecore.EClass getExpression()

      Returns the meta object for class '`Expression`'.
      Returns:
        the meta object for class 'Expression'.
      See Also:
        `Expression`

    - #### getExpression_LogicalExpression

          org.eclipse.emf.ecore.EReference getExpression_LogicalExpression()

      Returns the meta object for the containment reference '`Logical Expression`'.
      Returns:
        the meta object for the containment reference 'Logical Expression'.
      See Also:
        `Expression.getLogicalExpression()`, `getExpression()`

    - #### getFeatureCall

          org.eclipse.emf.ecore.EClass getFeatureCall()

      Returns the meta object for class '`Feature Call`'.
      Returns:
        the meta object for class 'Feature Call'.
      See Also:
        `FeatureCall`

    - #### getFeatureCall_Operator

          org.eclipse.emf.ecore.EAttribute getFeatureCall_Operator()

      Returns the meta object for the attribute '`Operator`'.
      Returns:
        the meta object for the attribute 'Operator'.
      See Also:
        `FeatureCall.getOperator()`, `getFeatureCall()`

    - #### getFeatureCall_TimeExpr

          org.eclipse.emf.ecore.EAttribute getFeatureCall_TimeExpr()

      Returns the meta object for the attribute '`Time Expr`'.
      Returns:
        the meta object for the attribute 'Time Expr'.
      See Also:
        `FeatureCall.getTimeExpr()`, `getFeatureCall()`

    - #### getFeatureCall_PathName

          org.eclipse.emf.ecore.EReference getFeatureCall_PathName()

      Returns the meta object for the containment reference '`Path Name`'.
      Returns:
        the meta object for the containment reference 'Path Name'.
      See Also:
        `FeatureCall.getPathName()`, `getFeatureCall()`

    - #### getFeatureCall_Qualifiers

          org.eclipse.emf.ecore.EReference getFeatureCall_Qualifiers()

      Returns the meta object for the containment reference '`Qualifiers`'.
      Returns:
        the meta object for the containment reference 'Qualifiers'.
      See Also:
        `FeatureCall.getQualifiers()`, `getFeatureCall()`

    - #### getFeatureCall_FeatureCallParameters

          org.eclipse.emf.ecore.EReference getFeatureCall_FeatureCallParameters()

      Returns the meta object for the containment reference '`Feature Call Parameters`'.
      Returns:
        the meta object for the containment reference 'Feature Call Parameters'.
      See Also:
        `FeatureCall.getFeatureCallParameters()`, `getFeatureCall()`

    - #### getFeatureCallParameters

          org.eclipse.emf.ecore.EClass getFeatureCallParameters()

      Returns the meta object for class '`Feature Call Parameters`'.
      Returns:
        the meta object for class 'Feature Call Parameters'.
      See Also:
        `FeatureCallParameters`

    - #### getFeatureCallParameters_ParameterList

          org.eclipse.emf.ecore.EReference getFeatureCallParameters_ParameterList()

      Returns the meta object for the containment reference '`Parameter List`'.
      Returns:
        the meta object for the containment reference 'Parameter List'.
      See Also:
        `FeatureCallParameters.getParameterList()`, `getFeatureCallParameters()`

    - #### getFeatureCallParameters_Declarator

          org.eclipse.emf.ecore.EReference getFeatureCallParameters_Declarator()

      Returns the meta object for the containment reference '`Declarator`'.
      Returns:
        the meta object for the containment reference 'Declarator'.
      See Also:
        `FeatureCallParameters.getDeclarator()`, `getFeatureCallParameters()`

    - #### getGeneralExpression

          org.eclipse.emf.ecore.EClass getGeneralExpression()

      Returns the meta object for class '`General Expression`'.
      Returns:
        the meta object for class 'General Expression'.
      See Also:
        `GeneralExpression`

    - #### getIExpression

          org.eclipse.emf.ecore.EClass getIExpression()

      Returns the meta object for class '`IExpression`'.
      Returns:
        the meta object for class 'IExpression'.
      See Also:
        `IExpression`

    - #### getIfExpression

          org.eclipse.emf.ecore.EClass getIfExpression()

      Returns the meta object for class '`If Expression`'.
      Returns:
        the meta object for class 'If Expression'.
      See Also:
        `IfExpression`

    - #### getIfExpression_IfExpr

          org.eclipse.emf.ecore.EReference getIfExpression_IfExpr()

      Returns the meta object for the containment reference '`If Expr`'.
      Returns:
        the meta object for the containment reference 'If Expr'.
      See Also:
        `IfExpression.getIfExpr()`, `getIfExpression()`

    - #### getIfExpression_ThenExpr

          org.eclipse.emf.ecore.EReference getIfExpression_ThenExpr()

      Returns the meta object for the containment reference '`Then Expr`'.
      Returns:
        the meta object for the containment reference 'Then Expr'.
      See Also:
        `IfExpression.getThenExpr()`, `getIfExpression()`

    - #### getIfExpression_ElseExpr

          org.eclipse.emf.ecore.EReference getIfExpression_ElseExpr()

      Returns the meta object for the containment reference '`Else Expr`'.
      Returns:
        the meta object for the containment reference 'Else Expr'.
      See Also:
        `IfExpression.getElseExpr()`, `getIfExpression()`

    - #### getIPrimaryExpression

          org.eclipse.emf.ecore.EClass getIPrimaryExpression()

      Returns the meta object for class '`IPrimary Expression`'.
      Returns:
        the meta object for class 'IPrimary Expression'.
      See Also:
        `IPrimaryExpression`

    - #### getIPrimaryExpression_Type

          org.eclipse.emf.ecore.EAttribute getIPrimaryExpression_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `IPrimaryExpression.getType()`, `getIPrimaryExpression()`

    - #### getLiteral

          org.eclipse.emf.ecore.EClass getLiteral()

      Returns the meta object for class '`Literal`'.
      Returns:
        the meta object for class 'Literal'.
      See Also:
        `Literal`

    - #### getLiteral_Literal

          org.eclipse.emf.ecore.EAttribute getLiteral_Literal()

      Returns the meta object for the attribute '`Literal`'.
      Returns:
        the meta object for the attribute 'Literal'.
      See Also:
        `Literal.getLiteral()`, `getLiteral()`

    - #### getLiteralCollection

          org.eclipse.emf.ecore.EClass getLiteralCollection()

      Returns the meta object for class '`Literal Collection`'.
      Returns:
        the meta object for class 'Literal Collection'.
      See Also:
        `LiteralCollection`

    - #### getLiteralCollection_CollectionKind

          org.eclipse.emf.ecore.EAttribute getLiteralCollection_CollectionKind()

      Returns the meta object for the attribute '`Collection Kind`'.
      Returns:
        the meta object for the attribute 'Collection Kind'.
      See Also:
        `LiteralCollection.getCollectionKind()`, `getLiteralCollection()`

    - #### getLiteralCollection_ExpressionList

          org.eclipse.emf.ecore.EReference getLiteralCollection_ExpressionList()

      Returns the meta object for the containment reference list '`Expression List`'.
      Returns:
        the meta object for the containment reference list 'Expression List'.
      See Also:
        `LiteralCollection.getExpressionList()`, `getLiteralCollection()`

    - #### getLogicalExpression

          org.eclipse.emf.ecore.EClass getLogicalExpression()

      Returns the meta object for class '`Logical Expression`'.
      Returns:
        the meta object for class 'Logical Expression'.
      See Also:
        `LogicalExpression`

    - #### getLogicalExpression_Type

          org.eclipse.emf.ecore.EAttribute getLogicalExpression_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `LogicalExpression.getType()`, `getLogicalExpression()`

    - #### getLogicalExpression_LogicalSubExpressionList

          org.eclipse.emf.ecore.EReference getLogicalExpression_LogicalSubExpressionList()

      Returns the meta object for the containment reference list '`Logical Sub Expression List`'.
      Returns:
        the meta object for the containment reference list 'Logical Sub Expression List'.
      See Also:
        `LogicalExpression.getLogicalSubExpressionList()`, `getLogicalExpression()`

    - #### getLogicalExpression_RelationalExpression

          org.eclipse.emf.ecore.EReference getLogicalExpression_RelationalExpression()

      Returns the meta object for the containment reference '`Relational Expression`'.
      Returns:
        the meta object for the containment reference 'Relational Expression'.
      See Also:
        `LogicalExpression.getRelationalExpression()`, `getLogicalExpression()`

    - #### getLogicalOperator

          org.eclipse.emf.ecore.EClass getLogicalOperator()

      Returns the meta object for class '`Logical Operator`'.
      Returns:
        the meta object for class 'Logical Operator'.
      See Also:
        `LogicalOperator`

    - #### getLogicalOperator_Operator

          org.eclipse.emf.ecore.EAttribute getLogicalOperator_Operator()

      Returns the meta object for the attribute '`Operator`'.
      Returns:
        the meta object for the attribute 'Operator'.
      See Also:
        `LogicalOperator.getOperator()`, `getLogicalOperator()`

    - #### getLogicalSubExpression

          org.eclipse.emf.ecore.EClass getLogicalSubExpression()

      Returns the meta object for class '`Logical Sub Expression`'.
      Returns:
        the meta object for class 'Logical Sub Expression'.
      See Also:
        `LogicalSubExpression`

    - #### getLogicalSubExpression_LogicalOperator

          org.eclipse.emf.ecore.EReference getLogicalSubExpression_LogicalOperator()

      Returns the meta object for the containment reference '`Logical Operator`'.
      Returns:
        the meta object for the containment reference 'Logical Operator'.
      See Also:
        `LogicalSubExpression.getLogicalOperator()`, `getLogicalSubExpression()`

    - #### getLogicalSubExpression_RelationalExpression

          org.eclipse.emf.ecore.EReference getLogicalSubExpression_RelationalExpression()

      Returns the meta object for the containment reference '`Relational Expression`'.
      Returns:
        the meta object for the containment reference 'Relational Expression'.
      See Also:
        `LogicalSubExpression.getRelationalExpression()`, `getLogicalSubExpression()`

    - #### getMultiplicativeExpression

          org.eclipse.emf.ecore.EClass getMultiplicativeExpression()

      Returns the meta object for class '`Multiplicative Expression`'.
      Returns:
        the meta object for class 'Multiplicative Expression'.
      See Also:
        `MultiplicativeExpression`

    - #### getMultiplicativeExpression_Type

          org.eclipse.emf.ecore.EAttribute getMultiplicativeExpression_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `MultiplicativeExpression.getType()`, `getMultiplicativeExpression()`

    - #### getMultiplicativeExpression_UnaryExpression

          org.eclipse.emf.ecore.EReference getMultiplicativeExpression_UnaryExpression()

      Returns the meta object for the containment reference '`Unary Expression`'.
      Returns:
        the meta object for the containment reference 'Unary Expression'.
      See Also:
        `MultiplicativeExpression.getUnaryExpression()`, `getMultiplicativeExpression()`

    - #### getMultiplicativeExpression_MultiplicativeSubExpressionList

          org.eclipse.emf.ecore.EReference getMultiplicativeExpression_MultiplicativeSubExpressionList()

      Returns the meta object for the containment reference list '`Multiplicative Sub Expression List`'.
      Returns:
        the meta object for the containment reference list 'Multiplicative Sub Expression List'.
      See Also:
        `MultiplicativeExpression.getMultiplicativeSubExpressionList()`, `getMultiplicativeExpression()`

    - #### getMultiplicativeOperator

          org.eclipse.emf.ecore.EClass getMultiplicativeOperator()

      Returns the meta object for class '`Multiplicative Operator`'.
      Returns:
        the meta object for class 'Multiplicative Operator'.
      See Also:
        `MultiplicativeOperator`

    - #### getMultiplicativeOperator_Operator

          org.eclipse.emf.ecore.EAttribute getMultiplicativeOperator_Operator()

      Returns the meta object for the attribute '`Operator`'.
      Returns:
        the meta object for the attribute 'Operator'.
      See Also:
        `MultiplicativeOperator.getOperator()`, `getMultiplicativeOperator()`

    - #### getMultiplicativeSubExpression

          org.eclipse.emf.ecore.EClass getMultiplicativeSubExpression()

      Returns the meta object for class '`Multiplicative Sub Expression`'.
      Returns:
        the meta object for class 'Multiplicative Sub Expression'.
      See Also:
        `MultiplicativeSubExpression`

    - #### getMultiplicativeSubExpression_UnaryExpression

          org.eclipse.emf.ecore.EReference getMultiplicativeSubExpression_UnaryExpression()

      Returns the meta object for the containment reference '`Unary Expression`'.
      Returns:
        the meta object for the containment reference 'Unary Expression'.
      See Also:
        `MultiplicativeSubExpression.getUnaryExpression()`, `getMultiplicativeSubExpression()`

    - #### getMultiplicativeSubExpression_MultiplicativeOperator

          org.eclipse.emf.ecore.EReference getMultiplicativeSubExpression_MultiplicativeOperator()

      Returns the meta object for the containment reference '`Multiplicative Operator`'.
      Returns:
        the meta object for the containment reference 'Multiplicative Operator'.
      See Also:
        `MultiplicativeSubExpression.getMultiplicativeOperator()`, `getMultiplicativeSubExpression()`

    - #### getParameterList

          org.eclipse.emf.ecore.EClass getParameterList()

      Returns the meta object for class '`Parameter List`'.
      Returns:
        the meta object for class 'Parameter List'.
      See Also:
        `ParameterList`

    - #### getParameterList_ExpressionList

          org.eclipse.emf.ecore.EReference getParameterList_ExpressionList()

      Returns the meta object for the containment reference list '`Expression List`'.
      Returns:
        the meta object for the containment reference list 'Expression List'.
      See Also:
        `ParameterList.getExpressionList()`, `getParameterList()`

    - #### getParameterList_GeneralExpressionList

          org.eclipse.emf.ecore.EReference getParameterList_GeneralExpressionList()

      Returns the meta object for the containment reference list '`General Expression List`'.
      Returns:
        the meta object for the containment reference list 'General Expression List'.
      See Also:
        `ParameterList.getGeneralExpressionList()`, `getParameterList()`

    - #### getPathName

          org.eclipse.emf.ecore.EClass getPathName()

      Returns the meta object for class '`Path Name`'.
      Returns:
        the meta object for class 'Path Name'.
      See Also:
        `PathName`

    - #### getPathName_NameList

          org.eclipse.emf.ecore.EReference getPathName_NameList()

      Returns the meta object for the containment reference list '`Name List`'.
      Returns:
        the meta object for the containment reference list 'Name List'.
      See Also:
        `PathName.getNameList()`, `getPathName()`

    - #### getPostfixExpression

          org.eclipse.emf.ecore.EClass getPostfixExpression()

      Returns the meta object for class '`Postfix Expression`'.
      Returns:
        the meta object for class 'Postfix Expression'.
      See Also:
        `PostfixExpression`

    - #### getPostfixExpression_Type

          org.eclipse.emf.ecore.EAttribute getPostfixExpression_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `PostfixExpression.getType()`, `getPostfixExpression()`

    - #### getPostfixExpression_Action

          org.eclipse.emf.ecore.EAttribute getPostfixExpression_Action()

      Returns the meta object for the attribute '`Action`'.
      Returns:
        the meta object for the attribute 'Action'.
      See Also:
        `PostfixExpression.getAction()`, `getPostfixExpression()`

    - #### getPostfixExpression_PrimaryExpression

          org.eclipse.emf.ecore.EReference getPostfixExpression_PrimaryExpression()

      Returns the meta object for the containment reference '`Primary Expression`'.
      Returns:
        the meta object for the containment reference 'Primary Expression'.
      See Also:
        `PostfixExpression.getPrimaryExpression()`, `getPostfixExpression()`

    - #### getPostfixExpression_FeatureCallList

          org.eclipse.emf.ecore.EReference getPostfixExpression_FeatureCallList()

      Returns the meta object for the containment reference list '`Feature Call List`'.
      Returns:
        the meta object for the containment reference list 'Feature Call List'.
      See Also:
        `PostfixExpression.getFeatureCallList()`, `getPostfixExpression()`

    - #### getPrimaryExpression

          org.eclipse.emf.ecore.EClass getPrimaryExpression()

      Returns the meta object for class '`Primary Expression`'.
      Returns:
        the meta object for class 'Primary Expression'.
      See Also:
        `PrimaryExpression`

    - #### getPrimaryExpression_IPrimaryExpression

          org.eclipse.emf.ecore.EReference getPrimaryExpression_IPrimaryExpression()

      Returns the meta object for the containment reference '`IPrimary Expression`'.
      Returns:
        the meta object for the containment reference 'IPrimary Expression'.
      See Also:
        `PrimaryExpression.getIPrimaryExpression()`, `getPrimaryExpression()`

    - #### getQualifiers

          org.eclipse.emf.ecore.EClass getQualifiers()

      Returns the meta object for class '`Qualifiers`'.
      Returns:
        the meta object for class 'Qualifiers'.
      See Also:
        `Qualifiers`

    - #### getQualifiers_ParameterList

          org.eclipse.emf.ecore.EReference getQualifiers_ParameterList()

      Returns the meta object for the containment reference '`Parameter List`'.
      Returns:
        the meta object for the containment reference 'Parameter List'.
      See Also:
        `Qualifiers.getParameterList()`, `getQualifiers()`

    - #### getRangeExpression

          org.eclipse.emf.ecore.EClass getRangeExpression()

      Returns the meta object for class '`Range Expression`'.
      Returns:
        the meta object for class 'Range Expression'.
      See Also:
        `RangeExpression`

    - #### getRangeExpression_LeftInclusive

          org.eclipse.emf.ecore.EAttribute getRangeExpression_LeftInclusive()

      Returns the meta object for the attribute '`Left Inclusive`'.
      Returns:
        the meta object for the attribute 'Left Inclusive'.
      See Also:
        `RangeExpression.getLeftInclusive()`, `getRangeExpression()`

    - #### getRangeExpression_RightInclusive

          org.eclipse.emf.ecore.EAttribute getRangeExpression_RightInclusive()

      Returns the meta object for the attribute '`Right Inclusive`'.
      Returns:
        the meta object for the attribute 'Right Inclusive'.
      See Also:
        `RangeExpression.getRightInclusive()`, `getRangeExpression()`

    - #### getRangeExpression_LeftExpr

          org.eclipse.emf.ecore.EReference getRangeExpression_LeftExpr()

      Returns the meta object for the containment reference '`Left Expr`'.
      Returns:
        the meta object for the containment reference 'Left Expr'.
      See Also:
        `RangeExpression.getLeftExpr()`, `getRangeExpression()`

    - #### getRangeExpression_RightExpr

          org.eclipse.emf.ecore.EReference getRangeExpression_RightExpr()

      Returns the meta object for the containment reference '`Right Expr`'.
      Returns:
        the meta object for the containment reference 'Right Expr'.
      See Also:
        `RangeExpression.getRightExpr()`, `getRangeExpression()`

    - #### getRelationalExpression

          org.eclipse.emf.ecore.EClass getRelationalExpression()

      Returns the meta object for class '`Relational Expression`'.
      Returns:
        the meta object for class 'Relational Expression'.
      See Also:
        `RelationalExpression`

    - #### getRelationalExpression_Type

          org.eclipse.emf.ecore.EAttribute getRelationalExpression_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `RelationalExpression.getType()`, `getRelationalExpression()`

    - #### getRelationalExpression_AdditiveExpression

          org.eclipse.emf.ecore.EReference getRelationalExpression_AdditiveExpression()

      Returns the meta object for the containment reference '`Additive Expression`'.
      Returns:
        the meta object for the containment reference 'Additive Expression'.
      See Also:
        `RelationalExpression.getAdditiveExpression()`, `getRelationalExpression()`

    - #### getRelationalExpression_RelationalSubExpression

          org.eclipse.emf.ecore.EReference getRelationalExpression_RelationalSubExpression()

      Returns the meta object for the containment reference '`Relational Sub Expression`'.
      Returns:
        the meta object for the containment reference 'Relational Sub Expression'.
      See Also:
        `RelationalExpression.getRelationalSubExpression()`, `getRelationalExpression()`

    - #### getRelationalOperator

          org.eclipse.emf.ecore.EClass getRelationalOperator()

      Returns the meta object for class '`Relational Operator`'.
      Returns:
        the meta object for class 'Relational Operator'.
      See Also:
        `RelationalOperator`

    - #### getRelationalOperator_Operator

          org.eclipse.emf.ecore.EAttribute getRelationalOperator_Operator()

      Returns the meta object for the attribute '`Operator`'.
      Returns:
        the meta object for the attribute 'Operator'.
      See Also:
        `RelationalOperator.getOperator()`, `getRelationalOperator()`

    - #### getRelationalSubExpression

          org.eclipse.emf.ecore.EClass getRelationalSubExpression()

      Returns the meta object for class '`Relational Sub Expression`'.
      Returns:
        the meta object for class 'Relational Sub Expression'.
      See Also:
        `RelationalSubExpression`

    - #### getRelationalSubExpression_RelationalOperator

          org.eclipse.emf.ecore.EReference getRelationalSubExpression_RelationalOperator()

      Returns the meta object for the containment reference '`Relational Operator`'.
      Returns:
        the meta object for the containment reference 'Relational Operator'.
      See Also:
        `RelationalSubExpression.getRelationalOperator()`, `getRelationalSubExpression()`

    - #### getRelationalSubExpression_AdditiveExpression

          org.eclipse.emf.ecore.EReference getRelationalSubExpression_AdditiveExpression()

      Returns the meta object for the containment reference '`Additive Expression`'.
      Returns:
        the meta object for the containment reference 'Additive Expression'.
      See Also:
        `RelationalSubExpression.getAdditiveExpression()`, `getRelationalSubExpression()`

    - #### getTypeSpecifier

          org.eclipse.emf.ecore.EClass getTypeSpecifier()

      Returns the meta object for class '`Type Specifier`'.
      Returns:
        the meta object for class 'Type Specifier'.
      See Also:
        `TypeSpecifier`

    - #### getTypeSpecifier_Enumerator

          org.eclipse.emf.ecore.EAttribute getTypeSpecifier_Enumerator()

      Returns the meta object for the attribute '`Enumerator`'.
      Returns:
        the meta object for the attribute 'Enumerator'.
      See Also:
        `TypeSpecifier.getEnumerator()`, `getTypeSpecifier()`

    - #### getTypeSpecifier_NameList

          org.eclipse.emf.ecore.EReference getTypeSpecifier_NameList()

      Returns the meta object for the containment reference list '`Name List`'.
      Returns:
        the meta object for the containment reference list 'Name List'.
      See Also:
        `TypeSpecifier.getNameList()`, `getTypeSpecifier()`

    - #### getUnaryExpression

          org.eclipse.emf.ecore.EClass getUnaryExpression()

      Returns the meta object for class '`Unary Expression`'.
      Returns:
        the meta object for class 'Unary Expression'.
      See Also:
        `UnaryExpression`

    - #### getUnaryExpression_Type

          org.eclipse.emf.ecore.EAttribute getUnaryExpression_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `UnaryExpression.getType()`, `getUnaryExpression()`

    - #### getUnaryExpression_PostfixExpression

          org.eclipse.emf.ecore.EReference getUnaryExpression_PostfixExpression()

      Returns the meta object for the containment reference '`Postfix Expression`'.
      Returns:
        the meta object for the containment reference 'Postfix Expression'.
      See Also:
        `UnaryExpression.getPostfixExpression()`, `getUnaryExpression()`

    - #### getUnaryExpression_UnaryOperator

          org.eclipse.emf.ecore.EReference getUnaryExpression_UnaryOperator()

      Returns the meta object for the containment reference '`Unary Operator`'.
      Returns:
        the meta object for the containment reference 'Unary Operator'.
      See Also:
        `UnaryExpression.getUnaryOperator()`, `getUnaryExpression()`

    - #### getUnaryOperator

          org.eclipse.emf.ecore.EClass getUnaryOperator()

      Returns the meta object for class '`Unary Operator`'.
      Returns:
        the meta object for class 'Unary Operator'.
      See Also:
        `UnaryOperator`

    - #### getUnaryOperator_Operator

          org.eclipse.emf.ecore.EAttribute getUnaryOperator_Operator()

      Returns the meta object for the attribute '`Operator`'.
      Returns:
        the meta object for the attribute 'Operator'.
      See Also:
        `UnaryOperator.getOperator()`, `getUnaryOperator()`

    - #### getName_

          org.eclipse.emf.ecore.EClass getName_()

      Returns the meta object for class '`Name`'.
      Returns:
        the meta object for class 'Name'.
      See Also:
        `Name`

    - #### getName_Name

          org.eclipse.emf.ecore.EAttribute getName_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Name.getName()`, `getName_()`

    - #### getIConditionValue

          org.eclipse.emf.ecore.EClass getIConditionValue()

      Returns the meta object for class '`ICondition Value`'.
      Returns:
        the meta object for class 'ICondition Value'.
      See Also:
        `IConditionValue`

    - #### getConditionValueSet

          org.eclipse.emf.ecore.EClass getConditionValueSet()

      Returns the meta object for class '`Condition Value Set`'.
      Returns:
        the meta object for class 'Condition Value Set'.
      See Also:
        `ConditionValueSet`

    - #### getConditionValueSet_Type

          org.eclipse.emf.ecore.EAttribute getConditionValueSet_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `ConditionValueSet.getType()`, `getConditionValueSet()`

    - #### getConditionValueSet_ValueList

          org.eclipse.emf.ecore.EReference getConditionValueSet_ValueList()

      Returns the meta object for the containment reference list '`Value List`'.
      Returns:
        the meta object for the containment reference list 'Value List'.
      See Also:
        `ConditionValueSet.getValueList()`, `getConditionValueSet()`

    - #### getValueSet

          org.eclipse.emf.ecore.EClass getValueSet()

      Returns the meta object for class '`Value Set`'.
      Returns:
        the meta object for class 'Value Set'.
      See Also:
        `ValueSet`

    - #### getValueSet_Type

          org.eclipse.emf.ecore.EAttribute getValueSet_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `ValueSet.getType()`, `getValueSet()`

    - #### getRuleStatement

          org.eclipse.emf.ecore.EClass getRuleStatement()

      Returns the meta object for class '`Rule Statement`'.
      Returns:
        the meta object for class 'Rule Statement'.
      See Also:
        `RuleStatement`

    - #### getAstFactory

          AstFactory getAstFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.